"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const react_native_1 = require("react-native");
const __1 = require("../..");
const Button = props => {
    const { style, text, type = 'info', onPress } = props;
    return (react_1.default.createElement(react_native_1.TouchableOpacity, { style: [styles.container, style], activeOpacity: 0.9 },
        react_1.default.createElement(react_native_1.Text, { style: styles.text }, text)));
};
const styles = react_native_1.StyleSheet.create({
    container: {
        alignItems: 'center',
        justifyContent: 'center',
        height: __1.Theme.buttonHeight,
        backgroundColor: __1.Theme.brandPrimary,
        borderRadius: 4,
    },
    text: {
        color: __1.Theme.fillBase,
        fontSize: __1.Theme.buttonFontSize,
    },
});
exports.default = Button;
